<div id="costs_compositematerials" class="tab" style="display: none;">

    <div class="cost_menu" style="padding: 10px;"><h2>Составные материалы</h2><br>
        <input name="compositematerials_hideshow" type="button" value="Скрыть">
    </div>
        {foreach $categories as $k => $v}
        {$materials = $v->getData()}
        {if !empty($materials)}
    <div class="category-materials">
        <div class="category-materials-name">
            <h2>{$v->getName()}</h2>
        </div>
    <div class="category-materials-content">
        <table border="0" cellspacing="5" rules="all" class="light light-mini" style="width: 650px;">
            <tr>
                <th scope="col" width="65%">Материал</th>
                <th scope="col">Основная цена</th>
                <th scope="col">Количество</th>
            </tr>
            {foreach $materials as $km => $vm}
            {if $vm->isActive() || ($product && isset($product_materials[$km]))}
            <tr {if $vm->getType()=='delimiter'}class="delimiter"{/if}>
                <td height="30px">
                    {if $vm->getType()=='delimiter'}
                    {$vm['name']}
                    {else}
                    <label>
                        <input name="costs[compositematerials][{$km}]" id="material-{$km}" class="material-input" type="checkbox"
                               value="{if $product && isset($product_materials[$km])}{$product_materials[$km]->getQuantity()}{/if}"
                               {if $product && isset($product_materials[$km])} checked {/if}>

                        {$vm['name']}
                    </label>
                    {/if}
                </td>
                <td> {if $vm->getType()=='delimiter'}{else}{$vm->getCost()} руб.{/if}</td>
                <td>
                    {if $vm->getType()=='delimiter'}{else}
                    <input type="number" class="material-quantity"
                           value="{if $product && isset($product_materials[$km])}{$product_materials[$km]->getQuantity()}{/if}"
                           style=" width: 50px; line-height:12px;   {if $product && isset($product_materials[$km])}{else} display:none;{/if}">
                    {/if}
                </td>
            </tr>
            {/if}
            {/foreach}
        </table></div>
        </div>
        {/if}
        {/foreach}
</div>
<script>
    {literal}
$('[name=compositematerials_hideshow]').click(function () {
if($(this).val()=='Скрыть') {
$('#costs_compositematerials').find('.category-materials-content').addClass('hide');
$(this).val('Показать');
} else {
$('#costs_compositematerials').find('.category-materials-content').removeClass('hide');
$(this).val('Скрыть');
}
return false;

});
$('.costs_menu').find('a').click(function () {
var tab =  $(this).data('tab');
$(this).closest('tr').find('.tab-content').find('.tab').hide();
$('#'+tab).show();
$(this).closest('ul').find('li').removeClass('selected');
$(this).closest('li').addClass('selected');
return false;
});
{/literal}
</script>